Page MenuHomePhabricator

[RuntimeDyld] Fix R_AARCH64_TSTBR14 relocation
ClosedPublic

Authored by yota9 on Jun 28 2022, 10:02 AM.

Details

Summary

Wrong mask was used to get branch instruction imm value.

Diff Detail

Event Timeline

yota9 created this revision.Jun 28 2022, 10:02 AM
yota9 requested review of this revision.Jun 28 2022, 10:02 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 28 2022, 10:02 AM
yota9 updated this revision to Diff 440753.Jun 28 2022, 1:38 PM

Add test

yota9 added a comment.Jun 28 2022, 1:41 PM

I've checked previous run and seems to be that the failed tests have nothing to do with this patch :)

lhames accepted this revision.Jul 4 2022, 1:35 PM

LGTM. Thanks @yota9!

This revision is now accepted and ready to land.Jul 4 2022, 1:35 PM
This revision was landed with ongoing or failed builds.Jul 5 2022, 6:41 AM
This revision was automatically updated to reflect the committed changes.